%define	name	ffcall
%define	version	1.10
%define	release	1mdk

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Summary:	Libraries that can be used to build foreign function call interfaces.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		ftp://ftp.santafe.edu/pub/gnu/
Source:		ftp://ftp.santafe.edu/pub/gnu/%{name}-%{version}.tar.bz2

%package        -n %{libnamedev}
Summary:	Libraries that can be used to build foreign function call interfaces. 
Group:          Development/Other
Provides:	%{libname}-devel
Provides:	libffcall-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
    (a reentrant combination of vacall and trampoline)

    This version B includes some minor configuration changes so that files
    are installed in the proper place. Also it compiles on cygwin and mingw32.


%description -n %{libnamedev}
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%prep
%setup -q -n %{name}-%{version}

%build
# "CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=${RPM_BUILD_ROOT}/usr --enable-shared

make prefix=${RPM_BUILD_ROOT}/usr

%install
# if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{libnamedev}

make prefix=$RPM_BUILD_ROOT/usr install

mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT%_datadir/.
mv $RPM_BUILD_ROOT/usr/share/html $RPM_BUILD_ROOT%{_defaultdocdir}/%{libnamedev}/html
perl -pi -e 's/libdir.*/libdir\=\/usr\/lib/' $RPM_BUILD_ROOT%{_libdir}/libavcall.la
perl -pi -e 's/libdir.*/libdir\=\/usr\/lib/' $RPM_BUILD_ROOT%{_libdir}/libcallback.la

#rm -rf $RPM_BUILD_ROOT/%{_mandir}/man

%post -n %{libnamedev} -p /sbin/ldconfig
%postun	-n %{libnamedev} -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%files -n %{libnamedev}
%defattr(-,root,root)
%doc COPYING NEWS README PLATFORMS
%_includedir/*
%{_libdir}/*
%{_mandir}/man3/*
%_docdir/%{libnamedev}

%changelog
* Fri Jun 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- 1.10

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.9-1mdk
- 1.9

* Thu Aug 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.8d-1mdk
- first release for Mandrakesoft :-)
- based on Adam Fedor <fedor@gnu.org> spec
